Skip to main content
GET
/
v1
/
contacts
Get contacts
curl --request GET \
  --url https://openapi.enginy.ai/v1/contacts \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": 123,
      "firstName": "<string>",
      "lastName": "<string>",
      "jobTitle": "<string>",
      "linkedInProfileUrl": "<string>",
      "professionalEmail": "<string>",
      "personalEmails": "<string>",
      "mobilePhone": "<string>",
      "phones": "<string>",
      "imageUrl": "<string>",
      "companyId": 123,
      "company": {
        "id": 123,
        "name": "<string>",
        "domain": "<string>",
        "companyLinkedInUrl": "<string>"
      },
      "emailVerificationStatus": "<string>",
      "contactCountry": "<string>",
      "linkedInHeadline": "<string>",
      "numberOfConnections": 123,
      "contactCRMId": "<string>",
      "leadCRMId": "<string>",
      "isInCRM": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "smartFieldExplanations": {}
    }
  ],
  "meta": {
    "page": 123,
    "pageSize": 123,
    "total": 123
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

page
string
default:1

Page number for pagination. Minimum value is 1. Defaults to 1.

pageSize
string
default:25

Number of items per page. Minimum is 1, maximum is 100. Defaults to 25.

Search term to filter contacts by first name, last name, or email (case-insensitive).

companyId
string

Filter contacts by company ID.

listId
string

Filter contacts by list ID.

updatedAtFrom
string

Filter contacts updated on or after this date (ISO 8601 format).

updatedAtTo
string

Filter contacts updated on or before this date (ISO 8601 format).

actionsId
string

Filter contacts by a specific actions run ID. Returns only contacts that were created or processed as part of this actions run (e.g., from "Search contacts from company" action).

fields

Specific contact fields to include in the response (comma-separated or array). Use GET /v1/contacts/fields to discover valid contact field names.

Response

Successful response with paginated contacts

data
object[]
required
meta
object
required